Reply
New Contributor
Posts: 2
Registered: ‎12-19-2017

Compatibility of Cloudera Manager deployment with older CDH version

I installed latest version of Cloudera Manager through Cloudera Director. While deploying CDH, it throws an error when CDH verison si specified as 5.12  It needs to be the latest i.e. 5.13

 

Are there compatibility issues of C. manager with an older version of CDH cluster ?

Cloudera Employee
Posts: 74
Registered: ‎10-28-2014

Re: Compatibility of Cloudera Manager deployment with older CDH version

TestUser,

 

Cloudera Manager is compatible with older versions of CDH.

https://www.cloudera.com/documentation/enterprise/release-notes/topics/rn_consolidated_pcm.html#cm_c...

 

Do you have the exact error? Does Cloudera Director throw the error or does Cloudera Manager?

 

You specify the CDH version to Director by specifying both the product version and the parcels repository.

https://github.com/cloudera/director-scripts/blob/master/configs/aws.reference.conf#L794

https://github.com/cloudera/director-scripts/blob/master/configs/aws.reference.conf#L804

A mismatch between these fields would cause an issue while bootstrapping.

 

David

New Contributor
Posts: 2
Registered: ‎12-19-2017

Re: Compatibility of Cloudera Manager deployment with older CDH version

Hello,

Thanks for replying. Let me give some more details.

I am developign a plugin for cloudera director, which deploys CDH cluster in two steps. 1. Deploy Cloudera Manager and 2. Deploy CDH.

Step 1 must be deploying the latest version of cloudera manager since I do not specify any specific version.

Step 2, earlier it was working with CDH version 5.12 or 5.12.1, which seems stopped working. It throws as error Bootstrap failed -- "Parcel Valdiation failed".

It seems specifying CDH version 5.13 works fine.

In fact, when I give version as 5 it works fine too (in such case it downloads the latest 5.13.1 version of the parcel)

 

Now the question is, is there any way to deploy the older version of CDH parcel (for instance 5.12.1) ?

I hope the problem is clear now, I can send the log file if necessary.

Cloudera Employee
Posts: 74
Registered: ‎10-28-2014

Re: Compatibility of Cloudera Manager deployment with older CDH version

TestUser,

 

Cloudera Director 2.6.x is configured with repositories for CM/CDH 5.13 by default. See the documentation for how to configure a non-default repository. You can look for the releant section in the instructions for any of the cloud providers.

https://www.cloudera.com/documentation/director/latest/topics/director_deployment_requirements.html#...

 

In addition to setting the CDH product version, you need to specify the parcel repository. Please see the links to the reference conf file in my previous reply. There is a field you can fill out if you are creating a cluster through the UI. At the bottom of that page, you can open up the "Configurations" and check "Override default parcel repositories". You can specify http://archive.cloudera.com/cdh5/parcels/5.12/ and any other parcel repos you need.

 

David

 

 

Announcements